export declare type ContainerConstructor<T> = {
    new (container: Container, ...args: any[]): T;
};
export declare class Container {
    private _boundConstructors;
    private _instances;
    bind(token: string, constructor: ContainerConstructor<any>, ...args: any[]): void;
    get<T>(token: string): T;
    getConstructor<T>(token: string): ContainerConstructor<T>;
}
